Package com.pixelmed.database

# Class DatabaseApplicationProperties

java.lang.Object
com.pixelmed.database.DatabaseApplicationProperties

public class DatabaseApplicationProperties extends Object

This class provides common support to applications requiring properties related to database services.

The following properties are supported:

`Application.DatabaseFileName` - where to save the database files

`Application.SavedImagesFolderName` - where to save incoming images referenced by the database

`Application.DatabaseServerName` - name to use for external TCP access to database (such a server will not be started if this property is absent)

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`propertyName_DatabaseFileName`
`static final String`
`propertyName_DatabaseServerName`
`static final String`
`propertyName_SavedImagesFolderName`

## Constructor Summary

Constructors
Constructor
Description
`DatabaseApplicationProperties(Properties properties)`
Extract the DICOM network properties from the supplied properties.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDatabaseFileName()`
Return the database file name.
`String`
`getDatabaseServerName()`
Return the database server name for external access.
`File`
`getSavedImagesFolderCreatingItIfNecessary()`
Return the saved images folder, creating it if necessary.
`String`
`getSavedImagesFolderName()`
Return the saved images folder name.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### propertyName_DatabaseFileName

public static final String propertyName_DatabaseFileName

See Also:
  - Constant Field Values

### propertyName_SavedImagesFolderName

public static final String propertyName_SavedImagesFolderName

See Also:
  - Constant Field Values

### propertyName_DatabaseServerName

public static final String propertyName_DatabaseServerName

See Also:
  - Constant Field Values

## Constructor Details

### DatabaseApplicationProperties

public DatabaseApplicationProperties(Properties properties)

Extract the DICOM network properties from the supplied properties.

Parameters:
  `properties` -

## Method Details

### getDatabaseFileName

public String getDatabaseFileName()

Return the database file name.

Returns:
  the database file name

### getSavedImagesFolderName

public String getSavedImagesFolderName()

Return the saved images folder name.

Returns:
  the saved images folder name

### getSavedImagesFolderCreatingItIfNecessary

public File getSavedImagesFolderCreatingItIfNecessary() throws IOException

Return the saved images folder, creating it if necessary.

If not an absolute path, will be sought or created relative to the current user's home directory.

Returns:
  the saved images folder
Throws:
  `IOException`

### getDatabaseServerName

public String getDatabaseServerName()

Return the database server name for external access.

Returns:
  the database server name